@import '~@angular/material/theming';

@mixin mat-custom-menu-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $background: map-get($theme, background);
  $foreground: map-get($theme, foreground);

  &.mat-menu-panel {
    min-height: 2.5rem;
    margin-top: 0.25rem;
    padding: 0 !important;
    max-width: none !important;

    .btn-validate-wrapper {
      margin-top: 0.5rem;
    }

    .input-error-message {
      min-height: 1.25rem;
    }

    mat-form-field {
      width: 100%;
    }

    .wrapper-list {
      margin: -0.5rem -1rem !important;
    }
  }

  .mat-menu-content {
    color: mat-color($accent, 900) !important;

    .mat-menu-item {
      transition: background-color 200ms;
      font-size: 0.875rem !important;
      font-weight: 400;
      display: flex;
      align-items: center;
      padding: 0.5rem 1rem;
      height: auto !important;

      .mat-icon {
        color: mat-color($accent, 700) !important;
      }

      app-spinner {
        margin-right: 1rem;
      }

      span {
        line-height: 1.25rem !important;
      }

      color: mat-color($accent, 900) !important;

      &.is-selected {
        color: mat-color($primary, 900) !important;
      }
    }
  }
}


$box-shadow-modal : 0px 0px 2px rgba(66, 90, 112, 0.2),
0px 8px 12px rgba(66, 88, 112, 0.3);

.mat-menu-panel {
  background-color: #fff;
  box-shadow: $box-shadow-modal;

  &.menu-information {
    .mat-menu-content {
      padding: 1rem;
    }
  }
}

.mat-menu-content{
    padding-top: 0;
    padding-bottom: 0;
}
